View Issue Details

IDProjectCategoryView StatusLast Update
0003062PartDesignBugpublic2017-09-09 16:45
ReportersheinzAssigned Toabdullah 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSLinux ArchOS Version4.10.10-1
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003062: Crash after referencing external geometry in PartDesign
DescriptionFreeCAD crashes with SIGSEGV when tracing externally referenced edges in PartDesign sketch.
I recorded a demo video [url=https://www.youtube.com/watch?v=E-MozwCshC4]Your text to link here...[/url]
Steps To Reproduce1. New document
2. Switch to PartDesign
3. Create body
4. Create sketch
5. Draw a square
6. Close the sketch
7. Pad the sketch
8. Make a fillet on one edge
9. Create a sketch on the flat side of the fillet
10. Reference adjacent edges of the fillet and fillet arc itself
11. Try to trace the referenced edges
12. Crash
Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11205 (Git)
Build type: Release
Branch: makepkg
Hash: bc6a52ee9497f7192d9fcffc1b56908383630d46
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.1.0


[code=bash]
Program received signal SIGSEGV, Segmentation fault.
#0 /usr/lib/libc.so.6(+0x33a90) [0x7f81b193ea90]
#1 0x7f81b116219d in SoAction::getState() const from /usr/lib/libCoin.so.60+0xd
#2 0x7f81b13be3d2 in SoShape::shouldGLRender(SoGLRenderAction*) from /usr/lib/libCoin.so.60+0x32
#3 0x7f81313b6293 in SketcherGui::ViewProviderSketch::drawConstraintIcons() from /opt/freecad/lib/SketcherGui.so+0x103
#4 0x7f81313c6f39 in SketcherGui::ViewProviderSketch::mouseMove(SbVec2s const&, Gui::View3DInventorViewer*) from /opt/freecad/lib/SketcherGui.so+0x839
#5 0x7f81b463fbb8 in Gui::ViewProvider::eventCallback(void*, SoEventCallback*) from /opt/freecad/lib/libFreeCADGui.so+0x268
#6 0x7f81b1343e1b in SoEventCallback::handleEvent(SoHandleEventAction*) from /usr/lib/libCoin.so.60+0xcb
#7 0x7f81b1162314 in SoAction::traverse(SoNode*) from /usr/lib/libCoin.so.60+0x64
#8 0x7f81b12821b8 in SoChildList::traverse(SoAction*, int, int) from /usr/lib/libCoin.so.60+0x138
#9 0x7f81b134c676 in SoGroup::doAction(SoAction*) from /usr/lib/libCoin.so.60+0x56
#10 0x7f81b1366be7 in SoSeparator::doAction(SoAction*) from /usr/lib/libCoin.so.60+0x27
#11 0x7f81b4579a5a in Gui::SoFCUnifiedSelection::handleEvent(SoHandleEventAction*) from /opt/freecad/lib/libFreeCADGui.so+0x9a
#12 0x7f81b1162314 in SoAction::traverse(SoNode*) from /usr/lib/libCoin.so.60+0x64
#13 0x7f81b12821b8 in SoChildList::traverse(SoAction*, int, int) from /usr/lib/libCoin.so.60+0x138
#14 0x7f81b134c676 in SoGroup::doAction(SoAction*) from /usr/lib/libCoin.so.60+0x56
#15 0x7f81b1366be7 in SoSeparator::doAction(SoAction*) from /usr/lib/libCoin.so.60+0x27
#16 0x7f81b1162314 in SoAction::traverse(SoNode*) from /usr/lib/libCoin.so.60+0x64
#17 0x7f81b116bb08 in SoHandleEventAction::beginTraversal(SoNode*) from /usr/lib/libCoin.so.60+0x68
#18 0x7f81b1163892 in SoAction::apply(SoNode*) from /usr/lib/libCoin.so.60+0x352
#19 0x7f81b1312ae0 in SoEventManager::actuallyProcessEvent(SoEvent const*) from /usr/lib/libCoin.so.60+0x60
#20 0x7f81b45edcfe in SIM::Coin3D::Quarter::QuarterWidget::processSoEvent(SoEvent const*) from /opt/freecad/lib/libFreeCADGui.so+0x1e
#21 0x7f81b45f5974 in SIM::Coin3D::Quarter::SoQTQuarterAdaptor::processSoEvent(SoEvent const*) from /opt/freecad/lib/libFreeCADGui.so+0x54
#22 0x7f81b461d369 in Gui::View3DInventorViewer::processSoEventBase(SoEvent const*) from /opt/freecad/lib/libFreeCADGui.so+0x9
#23 0x7f81b4602b68 in Gui::BlenderNavigationStyle::processSoEvent(SoEvent const*) from /opt/freecad/lib/libFreeCADGui.so+0x228
#24 0x7f81b45feac0 in Gui::NavigationStyle::processEvent(SoEvent const*) from /opt/freecad/lib/libFreeCADGui.so+0x140
#25 0x7f81b461d338 in Gui::View3DInventorViewer::processSoEvent(SoEvent const*) from /opt/freecad/lib/libFreeCADGui.so+0x98
#26 0x7f81b45e8255 in SIM::Coin3D::Quarter::EventFilter::eventFilter(QObject*, QEvent*) from /opt/freecad/lib/libFreeCADGui.so+0x175
#27 0x7f81b23eacf1 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) from /usr/lib/libQtCore.so.4+0x91
#28 0x7f81b2957f0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib/libQtGui.so.4+0x6c
#29 0x7f81b29605b7 in QApplication::notify(QObject*, QEvent*) from /usr/lib/libQtGui.so.4+0x1a47
#30 0x7f81b43e1dd4 in Gui::GUIApplication::notify(QObject*, QEvent*) from /opt/freecad/lib/libFreeCADGui.so+0x54
#31 0x7f81b23eab6d in QCoreApplication::notifyInternal(QObject*, QEvent*) from /usr/lib/libQtCore.so.4+0x8d
#32 0x7f81b295e5db in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) from /usr/lib/libQtGui.so.4+0x14b
#33 /usr/lib/libQtGui.so.4(+0x283a99) [0x7f81b29d9a99]
#34 0x7f81b29d844c in QApplication::x11ProcessEvent(_XEvent*) from /usr/lib/libQtGui.so.4+0xc9c
#35 /usr/lib/libQtGui.so.4(+0x2aae02) [0x7f81b2a00e02]
#36 /usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x2a7) [0x7f81aa8e37b7]
#37 /usr/lib/libglib-2.0.so.0(+0x4aa20) [0x7f81aa8e3a20]
#38 /usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f81aa8e3acc]
#39 0x7f81b241af6e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/libQtCore.so.4+0x7e
#40 /usr/lib/libQtGui.so.4(+0x2aaed6) [0x7f81b2a00ed6]
#41 0x7f81b23e943f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/libQtCore.so.4+0x3f
#42 0x7f81b23e97a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/libQtCore.so.4+0x1b5
#43 0x7f81b23ef209 in QCoreApplication::exec() from /usr/lib/libQtCore.so.4+0x99
#44 0x7f81b439687b in Gui::Application::runApplication() from /opt/freecad/lib/libFreeCADGui.so+0x161b
#45 freecad(main+0x68a) [0x40304a]
#46 /usr/lib/libc.so.6(__libc_start_main+0xf1) [0x7f81b192b511]
#47 freecad(_start+0x2a) [0x40429a]
[/code]
TagsPart Design

Activities

sheinz

2017-06-01 10:48

reporter   ~0009237

I ran unit tests and they seem to pass.

freecad_tests.log (39,003 bytes)
Tried to run Gui::Application::initApplication() twice!
FreeCAD 0.17, Libs: 0.17R11205 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2017
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

testSaveAndRestore (UnicodeTests.DocumentSaveRestoreCases) ... Importing project files......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testUnicodeLabel (UnicodeTests.UnicodeBasicCases) ... ok
testAbortTransaction (Document.DocumentBasicCases) ... ok
testAddRemove (Document.DocumentBasicCases) ... ok
testAddRemoveUndo (Document.DocumentBasicCases) ... ok
testAddition (Document.DocumentBasicCases) ... ok
testCreateDestroy (Document.DocumentBasicCases) ... ok
testEnum (Document.DocumentBasicCases) ... ok
testExtensionBug0002785 (Document.DocumentBasicCases) ... ok
testExtensionBugViewProvider (Document.DocumentBasicCases) ... ok
testExtensionGroup (Document.DocumentBasicCases) ... ok
testExtensions (Document.DocumentBasicCases) ... ok
testMem (Document.DocumentBasicCases) ... ok
testNotification_Issue2902Part2 (Document.DocumentBasicCases) ... ok
testNotification_Issue2996 (Document.DocumentBasicCases) ... ok
testObjects (Document.DocumentBasicCases) ... Exception (Thu Jun  1 13:44:45 2017): 'SurelyNotInThere!' is not part of the enumeration  
ok
testPropertyLink_Issue2902Part1 (Document.DocumentBasicCases) ... ok
testRecompute (Document.DocumentBasicCases) ... Document::recompute: The graph must be a DAG.
<Document object>
<Document object>
<Document object>
<Document object>
<Document object>
<Document object>
<Document object>
<Document object>
ok
testRemoval (Document.DocumentBasicCases) ... ok
testApplyFiles (Document.DocumentFileIncludeCases) ... Importing project files......
						(100.0 %)	
								
Importing project files......
						(100.0 %)	
								
ok
testColorList (Document.DocumentPlatformCases) ... Importing project files......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testFloatList (Document.DocumentPlatformCases) ... Importing project files......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testPoints (Document.DocumentPlatformCases) ... Importing project files......
						(20.0 %)	
						(40.0 %)	
						(60.0 %)	
						(80.0 %)	
						(100.0 %)	
								
ok
testVectorList (Document.DocumentPlatformCases) ... Importing project files......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testDescent (Document.DocumentPropertyCases) ... Importing project files......
						(6.0 %)	
						(12.0 %)	
						(18.0 %)	
						(25.0 %)	
						(31.0 %)	
						(37.0 %)	
						(43.0 %)	
						(50.0 %)	
						(56.0 %)	
						(62.0 %)	
						(68.0 %)	
						(75.0 %)	
						(81.0 %)	
						(87.0 %)	
						(93.0 %)	
						(100.0 %)	
								
ok
testDescent (Document.DocumentRecomputeCases) ... ok
testActiveDocument (Document.DocumentSaveRestoreCases) ... ok
testExtensionSaveRestore (Document.DocumentSaveRestoreCases) ... ok
testRestore (Document.DocumentSaveRestoreCases) ... Importing project files......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testSaveAndRestore (Document.DocumentSaveRestoreCases) ... Importing project files......
						(12.0 %)	
						(25.0 %)	
						(37.0 %)	
						(50.0 %)	
						(62.0 %)	
						(75.0 %)	
						(87.0 %)	
						(100.0 %)	
								
ok
testGroup (Document.UndoRedoCases) ... ok
testUndo (Document.UndoRedoCases) ... ok
testUndoClear (Document.UndoRedoCases) ... ok
testUndoProperties (Document.UndoRedoCases) ... ok
testConversions (UnitTests.UnitBasicCases) ... ok
testImperial (UnitTests.UnitBasicCases) ... ok
testTrigonometric (UnitTests.UnitBasicCases) ... ok
testAsynchronPrintFromThread (BaseTests.ConsoleTestCase) ... Call from Python thread (not synchronized): count=1
Call from Python thread (not synchronized): count=2
Call from Python thread (not synchronized): count=3
Call from Python thread (not synchronized): count=4
Call from Python thread (not synchronized): count=5
Call from Python thread (not synchronized): count=6
Call from Python thread (not synchronized): count=7
Call from Python thread (not synchronized): count=8
Call from Python thread (not synchronized): count=9
Call from Python thread (not synchronized): count=10
10
ok
testPrint (BaseTests.ConsoleTestCase) ...    Printing error
   Printing warning
   Printing message
ok
testSynchronPrintFromThread (BaseTests.ConsoleTestCase) ... Call from Python thread: count=1
Call from Python thread: count=2
Call from Python thread: count=3
Call from Python thread: count=4
Call from Python thread: count=5
Call from Python thread: count=6
Call from Python thread: count=7
Call from Python thread: count=8
Call from Python thread: count=9
Call from Python thread: count=10
10
ok
testBool (BaseTests.ParameterTestCase) ... ok
testBounding (BaseTests.ParameterTestCase) ... ok
testExportImport (BaseTests.ParameterTestCase) ... ok
testFloat (BaseTests.ParameterTestCase) ... ok
testGroup (BaseTests.ParameterTestCase) ... ok
testInt (BaseTests.ParameterTestCase) ... ok
testMatrix (BaseTests.ParameterTestCase) ... ok
testNesting (BaseTests.ParameterTestCase) ... ok
testRotAndMoveMatrix (BaseTests.ParameterTestCase) ... ok
testString (BaseTests.ParameterTestCase) ... ok
test_static_freq_analysis (TestFem.FemCcxAnalysisTest) ... --------------- Start of FEM tests --------------- 
Checking FEM new analysis... 
Checking FEM new solver... 
Checking FEM new material... 
Checking FEM new fixed constraint... 
Checking FEM new force constraint... 
Checking FEM new pressure constraint... 
Checking FEM new mesh... 
FEM preferences working dir is not set, the solver working directory is used.
Dir '' doesn't exist and cannot be created.
Dir '/tmp' will be used instead.
FemTools.setup_working_dir()  -->  self.working_dir = /tmp
Setting up working directory /tmp/FEM_unittests/FEM_static 
FemTools.setup_working_dir()  -->  self.working_dir = /tmp/FEM_unittests/FEM_static
Checking FEM inp file prerequisites for static analysis... 
Checking FEM inp file write... 
Setting analysis type to 'static" 
Writing /tmp/FEM_unittests/FEM_static/Mesh.inp for static analysis 
FemInputWriterCcx --> self.dir_name  -->  /tmp/FEM_unittests/FEM_static
FemInputWriterCcx --> self.main_file_name  -->  Mesh.inp
FemInputWriterCcx --> self.file_name  -->  /tmp/FEM_unittests/FEM_static/Mesh.inp
('  ReferenceShape : ', 'Face', ', ', 'Box', ', ', u'Box', ' --> ', 'Face1')
No face date in volume mesh. We try to use getccxVolumesByFace() to retrive the volume elments of the ref_face!
Use of getccxVolumesByFace() has returned volume elements of the ref_face!
len femnodes_ele_table:280
('  ReferenceShape : ', 'Face', ', ', 'Box', ', ', u'Box', ' --> ', 'Face2')
len femnodes_ele_table:280
len node_set: 41
len bit_pattern_dict:129
('found Faces: ', 16)
('faces: ', [[3L, 1], [6L, 3], [9L, 2], [36L, 1], [38L, 1], [56L, 1], [61L, 3], [67L, 2], [68L, 3], [75L, 2], [76L, 4], [78L, 4], [79L, 2], [90L, 3], [105L, 3], [125L, 3]])
[('FemConstraintPressure: face load', [[3L, 1], [6L, 3], [9L, 2], [36L, 1], [38L, 1], [56L, 1], [61L, 3], [67L, 2], [68L, 3], [75L, 2], [76L, 4], [78L, 4], [79L, 2], [90L, 3], [105L, 3], [125L, 3]])]
Writing time input file: 0.01718 

Comparing /opt/freecad/Mod/Fem/test_files/ccx/cube_static.inp to /tmp/FEM_unittests/FEM_static/Mesh.inp 
Setting up working directory to /opt/freecad/Mod/Fem/test_files/ccx in order to read simulated calculations 
FemTools.setup_working_dir()  -->  self.working_dir = /opt/freecad/Mod/Fem/test_files/ccx
Setting base name to read test cube_static.frd file... 
Setting inp file name to read test cube_static.frd file... 
Checking FEM frd file read from static analysis... 
Reading stats from result object for static analysis... 
Save FreeCAD file for static analysis to /tmp/FEM_unittests/FEM_static/cube_static.fcstd... 
Setting analysis type to 'frequency" 
Setting up working directory to /tmp/FEM_unittests/FEM_frequency in order to write frequency calculations 
FemTools.setup_working_dir()  -->  self.working_dir = /tmp/FEM_unittests/FEM_frequency
Checking FEM inp file prerequisites for frequency analysis... 
Writing /tmp/FEM_unittests/FEM_frequency/Mesh.inp for frequency analysis 
FemInputWriterCcx --> self.dir_name  -->  /tmp/FEM_unittests/FEM_frequency
FemInputWriterCcx --> self.main_file_name  -->  Mesh.inp
FemInputWriterCcx --> self.file_name  -->  /tmp/FEM_unittests/FEM_frequency/Mesh.inp
('  ReferenceShape : ', 'Face', ', ', 'Box', ', ', u'Box', ' --> ', 'Face1')
Writing time input file: 0.004158 

Comparing /opt/freecad/Mod/Fem/test_files/ccx/cube_frequency.inp to /tmp/FEM_unittests/FEM_frequency/Mesh.inp 
Setting up working directory to /opt/freecad/Mod/Fem/test_files/ccx in order to read simulated calculations 
FemTools.setup_working_dir()  -->  self.working_dir = /opt/freecad/Mod/Fem/test_files/ccx
Setting base name to read test cube_frequency.frd file... 
Setting inp file name to read test cube_frequency.frd file... 
Checking FEM frd file read from frequency analysis... 
Reading stats from result object for frequency analysis... 
Save FreeCAD file for frequency analysis to /tmp/FEM_unittests/FEM_frequency/cube_frequency.fcstd... 
--------------- End of FEM tests static and frequency analysis --------------- 
ok
test_thermomech_analysis (TestFem.FemCcxAnalysisTest) ... --------------- Start of FEM tests --------------- 
Checking FEM new analysis... 
Checking FEM new solver... 
Checking FEM new material... 
Checking FEM new fixed constraint... 
Checking FEM new initial temperature constraint... 
Checking FEM new temperature constraint... 
Checking FEM new heatflux constraint... 
Checking FEM new mesh... 
FEM preferences working dir is not set, the solver working directory is used.
Dir '' doesn't exist and cannot be created.
Dir '/tmp' will be used instead.
FemTools.setup_working_dir()  -->  self.working_dir = /tmp
Setting up working directory /tmp/FEM_unittests/FEM_thermomech 
FemTools.setup_working_dir()  -->  self.working_dir = /tmp/FEM_unittests/FEM_thermomech
Setting analysis type to 'thermomech" 
Checking FEM inp file prerequisites for thermo-mechanical analysis... 
Checking FEM inp file write... 
Writing /tmp/FEM_unittests/FEM_thermomech/Mesh.inp for thermomech analysis 
FemInputWriterCcx --> self.dir_name  -->  /tmp/FEM_unittests/FEM_thermomech
FemInputWriterCcx --> self.main_file_name  -->  Mesh.inp
FemInputWriterCcx --> self.file_name  -->  /tmp/FEM_unittests/FEM_thermomech/Mesh.inp
('  ReferenceShape : ', 'Face', ', ', 'Box', ', ', u'Box', ' --> ', 'Face1')
('  ReferenceShape : ', 'Face', ', ', 'Box', ', ', u'Box', ' --> ', 'Face1')
Writing time input file: 0.006977 

Comparing /opt/freecad/Mod/Fem/test_files/ccx/spine_thermomech.inp to /tmp/FEM_unittests/FEM_thermomech/Mesh.inp 
Setting up working directory to /opt/freecad/Mod/Fem/test_files/ccx in order to read simulated calculations 
FemTools.setup_working_dir()  -->  self.working_dir = /opt/freecad/Mod/Fem/test_files/ccx
Setting base name to read test spine_thermomech.frd file... 
Setting inp file name to read test spine_thermomech.frd file... 
Checking FEM frd file read from thermomech analysis... 
Reading stats from result object for thermomech analysis... 
Save FreeCAD file for thermomech analysis to /tmp/FEM_unittests/FEM_thermomech/spine_thermomech.fcstd... 
--------------- End of FEM tests thermomech analysis --------------- 
ok
test_unv_save_load (TestFem.FemTest) ... ok
testLoadMesh (MeshTestsApp.LoadMeshInThreadsCases) ... saving......
						(0.0 %)	
						(1.0 %)	
						(2.0 %)	
						(3.0 %)	
						(4.0 %)	
						(5.0 %)	
						(6.0 %)	
						(7.0 %)	
						(8.0 %)	
						(9.0 %)	
						(10.0 %)	
						(11.0 %)	
						(12.0 %)	
						(13.0 %)	
						(14.0 %)	
						(15.0 %)	
						(16.0 %)	
						(17.0 %)	
						(18.0 %)	
						(19.0 %)	
						(20.0 %)	
						(21.0 %)	
						(22.0 %)	
						(23.0 %)	
						(24.0 %)	
						(25.0 %)	
						(26.0 %)	
						(27.0 %)	
						(28.0 %)	
						(29.0 %)	
						(30.0 %)	
						(31.0 %)	
						(32.0 %)	
						(33.0 %)	
						(34.0 %)	
						(35.0 %)	
						(36.0 %)	
						(37.0 %)	
						(38.0 %)	
						(39.0 %)	
						(40.0 %)	
						(41.0 %)	
						(42.0 %)	
						(43.0 %)	
						(44.0 %)	
						(45.0 %)	
						(46.0 %)	
						(47.0 %)	
						(48.0 %)	
						(49.0 %)	
						(50.0 %)	
						(51.0 %)	
						(52.0 %)	
						(53.0 %)	
						(54.0 %)	
						(55.0 %)	
						(56.0 %)	
						(57.0 %)	
						(58.0 %)	
						(59.0 %)	
						(60.0 %)	
						(61.0 %)	
						(62.0 %)	
						(63.0 %)	
						(64.0 %)	
						(65.0 %)	
						(66.0 %)	
						(67.0 %)	
						(68.0 %)	
						(69.0 %)	
						(70.0 %)	
						(71.0 %)	
						(72.0 %)	
						(73.0 %)	
						(74.0 %)	
						(75.0 %)	
						(76.0 %)	
						(77.0 %)	
						(78.0 %)	
						(79.0 %)	
						(80.0 %)	
						(81.0 %)	
						(82.0 %)	
						(83.0 %)	
						(84.0 %)	
						(85.0 %)	
						(86.0 %)	
						(87.0 %)	
						(88.0 %)	
						(89.0 %)	
						(90.0 %)	
						(91.0 %)	
						(92.0 %)	
						(93.0 %)	
						(94.0 %)	
						(95.0 %)	
						(96.0 %)	
						(97.0 %)	
						(98.0 %)	
						(99.0 %)	
								
Write mesh to /tmp/mesh.stl
Create mesh instance
create mesh structure......
						(0.0 %)	
						(1.0 %)	
						(2.0 %)	
						(3.0 %)	
						(4.0 %)	
						(5.0 %)	
						(6.0 %)	
						(7.0 %)	
						(8.0 %)	
						(9.0 %)	
						(10.0 %)	
						(11.0 %)	
						(12.0 %)	
						(13.0 %)	
						(14.0 %)	
						(15.0 %)	
						(16.0 %)	
						(17.0 %)	
						(18.0 %)	
						(19.0 %)	
						(20.0 %)	
						(21.0 %)	
						(22.0 %)	
						(23.0 %)	
						(24.0 %)	
						(25.0 %)	
						(26.0 %)	
						(27.0 %)	
						(28.0 %)	
						(29.0 %)	
						(30.0 %)	
						(31.0 %)	
						(32.0 %)	
						(33.0 %)	
						(34.0 %)	
						(35.0 %)	
						(36.0 %)	
						(37.0 %)	
						(38.0 %)	
						(39.0 %)	
						(40.0 %)	
						(41.0 %)	
						(42.0 %)	
						(43.0 %)	
						(44.0 %)	
						(45.0 %)	
						(46.0 %)	
						(47.0 %)	
						(48.0 %)	
						(49.0 %)	
						(50.0 %)	
						(51.0 %)	
						(52.0 %)	
						(53.0 %)	
						(54.0 %)	
						(55.0 %)	
						(56.0 %)	
						(57.0 %)	
						(58.0 %)	
						(59.0 %)	
						(60.0 %)	
						(61.0 %)	
						(62.0 %)	
						(63.0 %)	
						(64.0 %)	
						(65.0 %)	
						(66.0 %)	
						(67.0 %)	
						(68.0 %)	
						(69.0 %)	
						(70.0 %)	
						(71.0 %)	
						(72.0 %)	
						(73.0 %)	
						(74.0 %)	
						(75.0 %)	
						(76.0 %)	
						(77.0 %)	
						(78.0 %)	
						(79.0 %)	
						(80.0 %)	
						(81.0 %)	
						(82.0 %)	
						(83.0 %)	
						(84.0 %)	
						(85.0 %)	
						(86.0 %)	
						(87.0 %)	
						(88.0 %)	
						(89.0 %)	
						(90.0 %)	
						(91.0 %)	
						(92.0 %)	
						(93.0 %)	
						(94.0 %)	
						(95.0 %)	
						(96.0 %)	
						(97.0 %)	
						(98.0 %)	
						(99.0 %)	
						(100.0 %)	
								
Mesh loaded successfully.
Create mesh instance
create mesh structure......
						(0.0 %)	
						(1.0 %)	
						(2.0 %)	
						(3.0 %)	
						(4.0 %)	
						(5.0 %)	
						(6.0 %)	
						(7.0 %)	
						(8.0 %)	
						(9.0 %)	
						(10.0 %)	
						(11.0 %)	
						(12.0 %)	
						(13.0 %)	
						(14.0 %)	
						(15.0 %)	
						(16.0 %)	
						(17.0 %)	
						(18.0 %)	
						(19.0 %)	
						(20.0 %)	
						(21.0 %)	
						(22.0 %)	
						(23.0 %)	
						(24.0 %)	
						(25.0 %)	
						(26.0 %)	
						(27.0 %)	
						(28.0 %)	
						(29.0 %)	
						(30.0 %)	
						(31.0 %)	
						(32.0 %)	
						(33.0 %)	
						(34.0 %)	
						(35.0 %)	
						(36.0 %)	
						(37.0 %)	
						(38.0 %)	
						(39.0 %)	
						(40.0 %)	
						(41.0 %)	
						(42.0 %)	
						(43.0 %)	
						(44.0 %)	
						(45.0 %)	
						(46.0 %)	
						(47.0 %)	
						(48.0 %)	
						(49.0 %)	
						(50.0 %)	
						(51.0 %)	
						(52.0 %)	
						(53.0 %)	
						(54.0 %)	
						(55.0 %)	
						(56.0 %)	
						(57.0 %)	
						(58.0 %)	
						(59.0 %)	
						(60.0 %)	
						(61.0 %)	
						(62.0 %)	
						(63.0 %)	
						(64.0 %)	
						(65.0 %)	
						(66.0 %)	
						(67.0 %)	
						(68.0 %)	
						(69.0 %)	
						(70.0 %)	
						(71.0 %)	
						(72.0 %)	
						(73.0 %)	
						(74.0 %)	
						(75.0 %)	
						(76.0 %)	
						(77.0 %)	
						(78.0 %)	
						(79.0 %)	
						(80.0 %)	
						(81.0 %)	
						(82.0 %)	
						(83.0 %)	
						(84.0 %)	
						(85.0 %)	
						(86.0 %)	
						(87.0 %)	
						(88.0 %)	
						(89.0 %)	
						(90.0 %)	
						(91.0 %)	
						(92.0 %)	
						(93.0 %)	
						(94.0 %)	
						(95.0 %)	
						(96.0 %)	
						(97.0 %)	
						(98.0 %)	
						(99.0 %)	
						(100.0 %)	
								
Mesh loaded successfully.
ok
testSphereMesh (MeshTestsApp.LoadMeshInThreadsCases) ... Create sphere (10.0,140)...
Create sphere (10.0,160)...
... destroy sphere
... destroy sphere
ok
testIntersection (MeshTestsApp.MeshGeoTestCases) ... create mesh structure......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testIntersection2 (MeshTestsApp.MeshGeoTestCases) ... create mesh structure......
						(25.0 %)	
						(50.0 %)	
						(75.0 %)	
						(100.0 %)	
								
ok
testCollapseFacetsAll (MeshTestsApp.MeshTopoTestCases) ... create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
ok
testCollapseFacetsMultible (MeshTestsApp.MeshTopoTestCases) ... create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
ok
testCollapseFacetsSingle (MeshTestsApp.MeshTopoTestCases) ... create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
create mesh structure......
						(2.0 %)	
						(5.0 %)	
						(8.0 %)	
						(11.0 %)	
						(13.0 %)	
						(16.0 %)	
						(19.0 %)	
						(22.0 %)	
						(25.0 %)	
						(27.0 %)	
						(30.0 %)	
						(33.0 %)	
						(36.0 %)	
						(38.0 %)	
						(41.0 %)	
						(44.0 %)	
						(47.0 %)	
						(50.0 %)	
						(52.0 %)	
						(55.0 %)	
						(58.0 %)	
						(61.0 %)	
						(63.0 %)	
						(66.0 %)	
						(69.0 %)	
						(72.0 %)	
						(75.0 %)	
						(77.0 %)	
						(80.0 %)	
						(83.0 %)	
						(86.0 %)	
						(88.0 %)	
						(91.0 %)	
						(94.0 %)	
						(97.0 %)	
						(100.0 %)	
								
ok
testPrimitiveCount (MeshTestsApp.PivyTestCases) ... ok
testRayPick (MeshTestsApp.PivyTestCases) ... ok
testFitBad (MeshTestsApp.PolynomialFitCases) ... Polynomial: f(x,y)=0.333333*x^2+0.333333*y^2+0.000000*x*y+0.000000*x+0.000000*y-0.444444
ok
testFitExact (MeshTestsApp.PolynomialFitCases) ... Polynomial: f(x,y)=-1.775872*x^2+0.000000*y^2-0.000000*x*y+0.255864*x+0.000000*y+0.523170
ok
testFitGood (MeshTestsApp.PolynomialFitCases) ... Polynomial: f(x,y)=0.500000*x^2+0.500000*y^2+0.000000*x*y+0.000000*x+0.000000*y-0.666667
ok
testBoxCase (TestSketcherApp.SketcherSolverTestCases) ... ok
testSlotCase (TestSketcherApp.SketcherSolverTestCases) ... ok
testGetters (TestPartApp.PartTestBSplineCurve)
only check if the function doesn't crash ... ok
testProperties (TestPartApp.PartTestBSplineCurve) ... ok
testSetters (TestPartApp.PartTestBSplineCurve) ... ok
testBoxCase (TestPartApp.PartTestCases) ... ok
testMirroredCase (TestPartDesignApp.PartDesignMirroredTestCases) ... Transformed shape does not intersect support Pad: Removed
ok
testBoxCase (TestPartDesignApp.PartDesignPadTestCases) ... ok
testGrooveFace (TestPartDesignApp.PartDesignRevolveTestCases) ... ok
testRevolveFace (TestPartDesignApp.PartDesignRevolveTestCases) ... ok
testAggregates (TestSpreadsheet.SpreadsheetCases)
Test all aggregate functions ... One or more cells failed contains errors.
ok
testAlias (TestSpreadsheet.SpreadsheetCases)
Playing with aliases ... ok
testAmbiguousAlias (TestSpreadsheet.SpreadsheetCases)
Try to set the same alias twice (bug #2402) ... ok
testClearAlias (TestSpreadsheet.SpreadsheetCases)
This was causing a crash ... ok
testCrossDocumentLinks (TestSpreadsheet.SpreadsheetCases)
Expressions across files are not saved (bug #2442) ... Importing project files......
						(100.0 %)	
								
Importing project files......
						(100.0 %)	
								
ok
testFunctions (TestSpreadsheet.SpreadsheetCases)
Test all built-in simple functions ... One or more cells failed contains errors.
ok
testInsertRows (TestSpreadsheet.SpreadsheetCases)
Inserting rows -- check renaming of internal cells ... ok
testInvoluteGear (TestSpreadsheet.SpreadsheetCases)
Support of boolean or integer values ... ok
testNumbers (TestSpreadsheet.SpreadsheetCases)
Test different numbers ... ok
testPlacementName (TestSpreadsheet.SpreadsheetCases)
Object name is equal to property name (bug #2389) ... ok
testPrecedence (TestSpreadsheet.SpreadsheetCases)
Precedence -- test precedence for relational operators and conditional operator. ... No source shape linked.
ok
testRelationalOperators (TestSpreadsheet.SpreadsheetCases)
Test relational operators ... ok
testRemoveRows (TestSpreadsheet.SpreadsheetCases)
Removing rows -- check renaming of internal cells ... ok
testRenameAlias (TestSpreadsheet.SpreadsheetCases)
Test renaming of alias1 to alias2 in a spreadsheet ... ok
testRenameAlias2 (TestSpreadsheet.SpreadsheetCases)
Test renaming of alias1 to alias2 in a spreadsheet, when referenced from another object ... ok
testRenameAlias3 (TestSpreadsheet.SpreadsheetCases)
Test renaming of document object referenced from another object ... ok
testSetInvalidAlias (TestSpreadsheet.SpreadsheetCases)
Try to use a cell address as alias name ... ok
testSetInvalidAlias2 (TestSpreadsheet.SpreadsheetCases)
Try to use a unit (reserved word) as alias name ... ok
testSketcher (TestSpreadsheet.SpreadsheetCases)
Mixup of Label and Name (bug #2407) ... ok
testUnits (TestSpreadsheet.SpreadsheetCases)
Units -- test unit calculations. ... ok
testPageCase (TestTechDrawApp.TechDrawTestCases) ... ok
testLinuxCNC (PathTests.TestPathPost.PathPostTestCases) ... PathScripts.linuxcnc_post gcode postprocessor loaded.
PathScripts.linuxcnc_post gcode postprocessor loaded.
PathPost(171).exportObjectsWith()
post: linuxcnc(-, --no-header --no-line-numbers --no-comments --no-show-editor --output-precision=2)
PathScripts.linuxcnc_post gcode postprocessor loaded.
postprocessing...
done postprocessing.
ok
test00 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Check Tag origin. ... ok
test01 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify solid for a 90 degree tag is a cylinder. ... ok
test02 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify trapezoidal tag has a cone shape with a lid. ... ok
test03 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify pointy cone shape of tag with pointy end if width, angle and height match up. ... ok
test04 (PathTests.TestPathDressupHoldingTags.TestHoldingTags)
Verify height adjustment if tag isn't wide eough for angle. ... 4.37342828911
ok
test00 (PathTests.TestPathCore.TestPathCore)
Test Path command core functionality ... ok
test10 (PathTests.TestPathCore.TestPathCore)
Test Path Object core functionality ... ok
test20 (PathTests.TestPathCore.TestPathCore)
Test Path Tool and ToolTable object core functionality ... ok
test00 (PathTests.TestPathGeom.TestPathGeom)
Verify getAngle functionality. ... ok
test01 (PathTests.TestPathGeom.TestPathGeom)
Verify diffAngle functionality. ... ok
test10 (PathTests.TestPathGeom.TestPathGeom)
Verify proper geometry objects for G1 and G01 commands are created. ... ok
test20 (PathTests.TestPathGeom.TestPathGeom)
Verfiy proper geometry for arcs in the XY-plane are created. ... ok
test30 (PathTests.TestPathGeom.TestPathGeom)
Verify proper geometry for arcs with rising and fall ing Z-axis are created. ... ok
test40 (PathTests.TestPathGeom.TestPathGeom)
Verify arc results in proper G2/3 command. ... ok
test50 (PathTests.TestPathGeom.TestPathGeom)
Verify proper wire(s) aggregation from a Path. ... ok
test60 (PathTests.TestPathGeom.TestPathGeom)
Verify arcToHelix returns proper helix. ... ok
test62 (PathTests.TestPathGeom.TestPathGeom)
Verify splitArcAt returns proper subarcs. ... ok
test65 (PathTests.TestPathGeom.TestPathGeom)
Verify splitEdgeAt. ... ok
test00 (PathTests.TestPathLog.TestPathLog)
Check for proper module extraction. ... ok
test01 (PathTests.TestPathLog.TestPathLog)
Check for proper function extraction. ... ok
test10 (PathTests.TestPathLog.TestPathLog)
Verify default log levels is NOTICE. ... ok
test11 (PathTests.TestPathLog.TestPathLog)
Verify setting global log level. ... ok
test12 (PathTests.TestPathLog.TestPathLog)
Verify setting module log level. ... ok
test13 (PathTests.TestPathLog.TestPathLog)
Verify setting other modul's log level doesn't change this one's. ... ok
test14 (PathTests.TestPathLog.TestPathLog)
Verify resetting log level for module falls back to global level. ... ok
test20 (PathTests.TestPathLog.TestPathLog)
Verify debug logs aren't logged by default. ... ok
test21 (PathTests.TestPathLog.TestPathLog)
Verify debug logs are logged if log level is set to DEBUG. ... TestPathLog.DEBUG: this
ok
test30 (PathTests.TestPathLog.TestPathLog)
Verify log level ERROR. ... TestPathLog.ERROR: something
ok
test31 (PathTests.TestPathLog.TestPathLog)
Verify log level WARNING. ... TestPathLog.WARNING: something
TestPathLog.ERROR: something
ok
test32 (PathTests.TestPathLog.TestPathLog)
Verify log level NOTICE. ... TestPathLog.WARNING: something
TestPathLog.ERROR: something
ok
test33 (PathTests.TestPathLog.TestPathLog)
Verify log level INFO. ... TestPathLog.WARNING: something
TestPathLog.ERROR: something
TestPathLog.INFO: something
ok
test34 (PathTests.TestPathLog.TestPathLog)
Verify log level DEBUG. ... TestPathLog.WARNING: something
TestPathLog.ERROR: something
TestPathLog.DEBUG: something
TestPathLog.INFO: something
ok
test50 (PathTests.TestPathLog.TestPathLog)
Verify no tracking by default. ... ok
test51 (PathTests.TestPathLog.TestPathLog)
Verify enabling tracking for module results in tracking. ... TestPathLog(156).test51(this, and, that)
ok
test52 (PathTests.TestPathLog.TestPathLog)
Verify untracking stops tracking. ... TestPathLog(163).test52(this, and, that)
ok
test53 (PathTests.TestPathLog.TestPathLog)
Verify trackAllModules works correctly. ... TestPathLog(170).test53(this, and, that)
TestPathLog(175).test53(this, and, that)
TestPathLog(177).test53(this, and, that)
ok
test60 (PathTests.TestPathLog.TestPathLog)
Verify track handles no argument. ... TestPathLog(182).test60()
ok
test61 (PathTests.TestPathLog.TestPathLog)
Verify track handles arbitrary argument types correctly. ... TestPathLog(189).test61(this, None, 1, 18.25)
ok
testzz (PathTests.TestPathLog.TestPathLog)
Restoring environment after tests. ... ok
test00 (PathTests.TestPathDepthParams.depthTestCases)
Stepping down to zero ... ok
test10 (PathTests.TestPathDepthParams.depthTestCases)
Stepping from zero to a negative depth ... ok
test20 (PathTests.TestPathDepthParams.depthTestCases)
Start and end are equal or start lower than finish ... ok
test30 (PathTests.TestPathDepthParams.depthTestCases)
User Parameters passed in ... ok
test40 (PathTests.TestPathDepthParams.depthTestCases)
z_finish_step passed in. ... ok
test50 (PathTests.TestPathDepthParams.depthTestCases)
stepping down with equalstep=True ... ok
test60 (PathTests.TestPathDepthParams.depthTestCases)
stepping down with equalstep=True and a finish depth ... ok
test70 (PathTests.TestPathDepthParams.depthTestCases)
stepping down with stepdown greater than total depth ... ok

----------------------------------------------------------------------
Ran 144 tests in 17.616s

OK
freecad_tests.log (39,003 bytes)

sheinz

2017-06-01 11:07

reporter   ~0009238

Version 0.16 also crashes in this scenario.

abdullah

2017-06-10 23:49

manager   ~0009341

It is likely that this PR also fixes this issue:
https://github.com/FreeCAD/FreeCAD/pull/806

It shall be retested after merge.

wmayer

2017-09-09 16:45

administrator   ~0010098

Fixed with https://github.com/FreeCAD/FreeCAD/pull/806/commits/d4b8d554c154758a360db9759211c0d13364927d

Issue History

Date Modified Username Field Change
2017-06-01 08:51 sheinz New Issue
2017-06-01 08:51 sheinz Tag Attached: Part Design
2017-06-01 10:48 sheinz File Added: freecad_tests.log
2017-06-01 10:48 sheinz Note Added: 0009237
2017-06-01 11:07 sheinz Note Added: 0009238
2017-06-01 15:44 abdullah Assigned To => abdullah
2017-06-01 15:44 abdullah Status new => assigned
2017-06-10 23:49 abdullah Note Added: 0009341
2017-06-17 21:42 normandc Target Version => 0.17
2017-09-09 16:45 wmayer Status assigned => closed
2017-09-09 16:45 wmayer Resolution open => fixed
2017-09-09 16:45 wmayer Fixed in Version => 0.17
2017-09-09 16:45 wmayer Note Added: 0010098